#include <iostream>
#include <cstring>
using namespace std;
int main()
{
    int n,br=0,brq=0,brnq=0;
    cin>>n;
    char arr[8000];
    for (int i=0; i<n; i++)
    {
        cin>>arr;
        for (int i=0; i<strlen(arr); i++)
        {
            for (int k=i+1; k<strlen(arr); k++)
            {
                if(arr[i]==arr[k]) br++;
            }
            if(br%2==1) brnq++;
            br=0;
        }
        if(strlen(arr)%2==brnq)cout<<"1";
            else cout<<"0";
        brq=0;
        brnq=0;
    }

    return 0;
}
